Skip to content

Get supporter penalties with enriched slash/subject data

GET
/slash/supporter-penalties/{profileId}
curl --request GET \
--url https://api.ethos.network/api/v2/slash/supporter-penalties/1
profileId
required
integer
> 0 <= 2147483647

Successful response

Media typeapplication/json
Array<object>
object
id
required
number
slashId
required
number
penaltyAmount
required
number
createdAt
required
string
reason
required
string
Allowed values: vouch review verification
slash
required
object

Example

[
{
"reason": "vouch"
}
]

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}